<script setup lang="ts">
const PROGRAMS = [
  { name: 'Applied Mathematics', code: 'MA_APP' },
  { name: 'Applied Physics', code: 'PH_APP' },
  { name: 'Architecture', code: 'AR' },
  { name: 'Chemical Engineering and Biotechnology', code: 'CGC_CH' },
  { name: 'Civil Engineering', code: 'GC' },
  { name: 'Communication Systems', code: 'SC' },
  { name: 'Computational Science and Engineering', code: 'MA_COMP' },
  { name: 'Computer Science', code: 'CS' },
  { name: 'Cyber Security', code: 'CYBER' },
  { name: 'Data Science', code: 'DS' },
  { name: 'Digital Humanities', code: 'DH' },
  { name: 'Electrical and Electronic Engineering', code: 'EL' },
  { name: 'Energy Science and Technology', code: 'ENERG' },
  { name: 'Environmental Sciences and Engineering', code: 'SIE' },
  { name: 'Financial Engineering', code: 'IF' },
  { name: 'Life Sciences Engineering', code: 'SV' },
  { name: 'Management, Technology and Entrepreneurship', code: 'MTE' },
  { name: 'Materials Science and Engineering', code: 'MX' },
  { name: 'Mathematics', code: 'MA' },
  { name: 'Mechanical Engineering', code: 'GM' },
  { name: 'Microengineering', code: 'MT' },
  { name: 'Molecular and Biological Chemistry', code: 'CGC_MB' },
  { name: 'Neuro-X', code: 'NX' },
  { name: 'Nuclear Engineering', code: 'NE' },
  { name: 'Quantum Science and Engineering', code: 'SIQ' },
  { name: 'Physics', code: 'PH' },
  { name: 'Robotics', code: 'ROBOT' },
  { name: 'Statistics', code: 'STAT' },
  { name: 'Sustainable Management and Technology', code: 'SMT' }
]

const model = defineModel()
</script>

<template>
  <div class="">
    <label for="program" class="mb-2 block text-sm font-medium text-gray-900 dark:text-white">
      {{ $t('formIdentity.labelProgram') }}
    </label>
    <select
      v-model="model"
      id="program"
      class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-primary-500 focus:border-primary-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-primary-500 dark:focus:border-primary-500"
    >
      <option v-for="program in PROGRAMS" v-bind:key="program.code" :value="program.code">
        {{ program.name }}
      </option>
    </select>
  </div>
</template>
